## acl-installer 1.12

=== debian/changelog ===
acl-installer (1.12) unstable; urgency=medium

  * Add failed-installtion resistance. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 29 Mar 2002 17:55:03 +0100

acl-installer (1.11) unstable; urgency=medium

  * Fix for removal script reported by Michael Toomim
    <toomim@cs.berkeley.edu>. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 25 Mar 2002 17:14:38 +0100

acl-installer (1.10) unstable; urgency=medium

  * Franz now ships a ANSI image as standard. Changes scripts
    to reflect this.
    Closes: #138065

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 19 Mar 2002 13:40:42 +0100

acl-installer (1.9) unstable; urgency=low

  * Tries to work zith version 6.1 but this is just a guess...
  * Now doesn't try to work with common-lisp-controller,
    Closes: #136498

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 12 Mar 2002 09:03:32 +0100

acl-installer (1.8) unstable; urgency=low

  * Fixed prerm bug. Closes: #122998

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  9 Dec 2001 22:05:01 +0100

acl-installer (1.7) unstable; urgency=low

  * Fixed incredible mess-up in the configure script...
  * Updated standards-version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 28 Aug 2001 15:10:53 +0200

acl-installer (1.6) unstable; urgency=high

  * Now has acl6 as output file directly. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 24 Jul 2001 07:10:44 +0200

acl-installer (1.5) unstable; urgency=low

  * Now provides lisp-compiler

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 24 Jul 2001 07:10:31 +0200

acl-installer (1.4) unstable; urgency=low

  * Now with right acl.sh

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Jul 2001 18:39:19 +0200

acl-installer (1.3) unstable; urgency=low

  * Removed the acl.sh file from debian/

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Jul 2001 16:03:31 +0200

acl-installer (1.2) unstable; urgency=low

  * Rebuild for broken dpkg-dev.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Jul 2001 08:09:53 +0200

acl-installer (1.1) unstable; urgency=low

  * Common-lisp-controller support
  * Now also with dh_link

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 27 Jun 2001 13:09:28 +0200

acl-installer (1.0) unstable; urgency=low

  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  3 Nov 2000 12:34:28 +0100

Local variables:
mode: debian-changelog
End:
