=== debian/control ===
Source: acl-installer
Section: contrib/devel
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Build-Depends: debhelper
Standards-Version: 3.5.6.0

Package: acl-installer
Depends: bzip2
Provides: lisp-compiler
Architecture: i386
Description: An installer for Franz' Allegro 6.1 Lisp for Linux
 This is a installer package for acl6 from Franz. You need
 to register and download the program yourself from www.franz.com.
