## acl-installer 6.2.31

=== debian/changelog ===
acl-installer (6.2.31) unstable; urgency=low

  * Apply patch from Christian Lynbech to support http proxy (closes:272640)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 21 Sep 2004 09:00:40 -0600

acl-installer (6.2.30) unstable; urgency=low

  * More common-lisp-controller v4 improvements

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  3 Aug 2004 08:41:03 -0600

acl-installer (6.2.29) unstable; urgency=low

  * Convert to common-lisp-controller V4

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 31 Jul 2004 23:39:50 -0600

acl-installer (6.2.28) unstable; urgency=low

  * Add amd64 architecture (closes:255684)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 22 Jun 2004 11:30:53 -0600

acl-installer (6.2.27) unstable; urgency=low

  * Don't delete a file belonging to the debian pacakage (closes:247258)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  4 May 2004 13:32:30 -0600

acl-installer (6.2.26) unstable; urgency=low

  * Avoid deleting installation files when removing directory (closes:243788)
  * Fix manpage names 

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 16 Apr 2004 10:12:49 -0600

acl-installer (6.2.25) unstable; urgency=low

  * Add acldoc-el package based Larry Hunter's acldoc.el program

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  8 Aug 2003 19:48:33 -0600

acl-installer (6.2.24) unstable; urgency=low

  * acl-pro-installer's config: fix bug reported
  by Larry Hunter

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  8 Aug 2003 15:21:42 -0600

acl-installer (6.2.23) unstable; urgency=low

  * Move download to .config (closes:200797)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Jul 2003 15:56:54 -0600

acl-installer (6.2.22) unstable; urgency=low

  * Rework to move preinst logic to config and postinst
  * Use debian/compat and remove DH_COMPAT=4 from rules file

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  6 Apr 2003 22:27:15 -0600

acl-installer (6.2.21) unstable; urgency=low

  * Move bzip2 to Pre-depends for acl-per-installer. 
  * Add wget to Pre-depends for acl-per-installer
  * Remove bzip2 depends for acl-pro-installer
  * Update standards-version to 3.5.9.0
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  2 Apr 2003 16:44:21 -0700

acl-installer (6.2.20) unstable; urgency=low

  * chmod logical-pathname-translation files to 644

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 10 Mar 2003 11:24:14 -0700

acl-installer (6.2.19) unstable; urgency=low

  * Remove obsolete install-defsystem and remove-defsystem targets.
  * Boost required CLC version to 3.56 for the above change

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  6 Mar 2003 07:09:34 -0700

acl-installer (6.2.18) unstable; urgency=low

  * Allow uputils-ping to be a source for ping (closes: 173549)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Dec 2002 07:55:04 -0700

acl-installer (6.2.17) unstable; urgency=low

  * Change acl-pro-installer Depends: to Pre-Depends: for acl-*lisp* binary packages

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Oct 2002 00:13:48 -0600

acl-installer (6.2.16) unstable; urgency=high

  * Fix chown in acl.sh.template for make-user-image

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  9 Oct 2002 05:49:34 -0600

acl-installer (6.2.15) unstable; urgency=high

  * Update Depends: common-lisp-controller version

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  1 Oct 2002 14:44:55 -0600

acl-installer (6.2.14) unstable; urgency=low

  * Have acl.sh.template's make-user-image check for errors

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 30 Sep 2002 07:32:30 -0600

acl-installer (6.2.13) unstable; urgency=low

  * Use new CLC autobuild-cl-impl function

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 23 Sep 2002 06:32:05 -0600

acl-installer (6.2.12) unstable; urgency=low

  * Remove another bashism acl.sh.template

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 22 Sep 2002 21:07:23 -0600

acl-installer (6.2.11) unstable; urgency=low

  * Remove bashisms from maintainer scripts

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 22 Sep 2002 19:28:10 -0600

acl-installer (6.2.10) unstable; urgency=low

  * Remove bashism from acl.sh.template

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 22 Sep 2002 14:20:01 -0600

acl-installer (6.2.9) unstable; urgency=low

  * acl.sh.template: allow install-clc as synonym to install-defsystem
  * acl.sh.template: allow remove-clc as synonym to remove-defsystem
  * install-defsystem* renamed to install-clc*
  * install-clc.sh: change check from defsystem.lisp to common-lisp-controller.lisp

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 19 Sep 2002 21:59:59 -0600

acl-installer (6.2.8) unstable; urgency=low

  * Send stdout to /dev/null during install-defsystem.

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 19 Sep 2002 17:08:39 -0600

acl-installer (6.2.7) unstable; urgency=low

  * Rework acl.sh.template to support unique fasl types

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Sep 2002 10:11:38 -0600

acl-installer (6.2.6) unstable; urgency=low

  * Add code to sysinit.cl to generate unique fasl types for each
  time of compiler.

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Sep 2002 09:31:54 -0600

acl-installer (6.2.5) unstable; urgency=low

  * Change installation for that Common Lisp Controller's
  install-defsystem command creates a new image based on the original
  image file rather than the current system image file.
  * Change acl.sh.template so that remove-defsystem restores the
  original distribution image.
  * Fix error with dl-and-install-patches where it might keep rebuilding
  acl.dxl.
  * Add network status check before attempting to download patches.
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  5 Sep 2002 23:55:10 -0600

acl-installer (6.2.4) unstable; urgency=low

  * Change version numbering scheme since this is a native Debian
  package.

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 22 Aug 2002 10:10:04 -0600

acl-installer (6.2.0-3) unstable; urgency=low


