=== debian/control ===
Source: acl-installer
Section: contrib/devel
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1.1

Package: acl-installer
Depends: common-lisp-controller (>= 4.2), netkit-ping | iputils-ping, debconf (>= 1.0.0), bzip2, wget ${EXTRADEPENDS}
Recommends: acldoc-el
Architecture: i386 powerpc amd64
Description: Installer for Franz' Allegro 6.2 Lisp Trial Edition
 This is a installer package for Allegro ANSI Common Lisp. This package
 supports the Trial Edition of AllegroCL. This package can download
 that package for your from Franz's web site (approximately 30MB), or
 it can install the distribution file off of your local file system if
 you already have it.
 .
 Additionally, you must have a devel.lic license file to install this
 package. You can get this file e-mailed to you by filling out the
 form at http://www.franz.com/downloads/license.html
 .
 This package features Common Lisp Controller integration.

Package: acl-pro-installer
Depends: netkit-ping | iputils-ping, debconf (>= 1.0.0) ${EXTRADEPENDS}
Provides: lisp-compiler
Recommends: acl-alisp, acl-alisp8, acl-mlisp, acl-mlisp8, acldoc-el
Architecture: i386 powerpc amd64
Description: Installer for Franz' Allegro 6.2 Lisp Commercial Versions
 This is a installer package for Allegro ANSI Common Lisp. This
 package supports the Enterprise and Platinum versions of AllegroCL.
 .
 This package features Common Lisp Controller integration.

Package: acl-alisp
Depends: common-lisp-controller (>= 4.2)
Recommends: acldoc-el
Pre-Depends: acl-pro-installer
Provides: lisp-compiler
Architecture: i386 powerpc amd64
Description: Common Lisp Controller implemention for Allegro's alisp compiler
 This package
 provides the common-lisp-controller implementation for Allegro's
 alisp compiler [ANSI (case-insensitive), 16-bit characters].

Package: acl-alisp8
Depends: common-lisp-controller (>= 4.2)
Recommends: acldoc-el
Pre-Depends: acl-pro-installer
Provides: lisp-compiler
Architecture: i386 powerpc amd64
Description: Common Lisp Controller implemention for Allegro's alisp8 compiler
 This package
 provides the common-lisp-controller implementation for Allegro's
 alisp8 compiler [ANSI (case-insensitive), 8-bit characters].

Package: acl-mlisp
Depends: common-lisp-controller (>= 4.2)
Recommends: acldoc-el
Pre-Depends: acl-pro-installer
Provides: lisp-compiler
Architecture: i386 powerpc amd64
Description: Common Lisp Controller implemention for Allegro's mlisp compiler
 This package
 provides the common-lisp-controller implementation for Allegro's
 mlisp compiler [Modern (case-sensitive), 16-bit characters].

Package: acl-mlisp8
Depends: common-lisp-controller (>= 4.2)
Recommends: acldoc-el
Pre-Depends: acl-pro-installer
Provides: lisp-compiler
Architecture: i386 powerpc amd64
Description: Common Lisp Controller implemention for Allegro's mlisp8 compiler
 This package
 provides the common-lisp-controller implementation for Allegro's
 mlisp8 compiler [Modern (case-sensitive), 8-bit characters].

Package: acldoc-el
Depends: emacs | emacsen, acl-installer | acl-pro-installer, w3-url-e21 | w3-el-e20 | xemacs21-basesupport	
Architecture: all
Description: Display AllegroCL documentation from Emacs
 This package provides Larry Hunter's acldoc.el program for displaying
 AllegroCL documentation from Emacsen.
