## acl-installer 6.2.32

=== debian/changelog ===
acl-installer (6.2.32) unstable; urgency=low

  * Orphan as in bug #297344

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  5 Mar 2005 02:46:42 -0700
