=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: acl-installer
 Section: contrib/devel
 Priority: optional
-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.1.1
